"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cache_1 = require("../../cache");
const constants_1 = require("../../constants");
const cleanHandler = () => async () => {
    const files = (await (0, cache_1.getFiles)()).filter((file) => file.startsWith(constants_1.DISCOVERY_DOCUMENT_PREFIX));
    await Promise.all(files.map(async (file) => (0, cache_1.deleteFile)(file)));
};
const cleanCommand = {
    type: "command",
    command: "clean",
    description: "clean the local CLI cache",
    handler: cleanHandler,
};
exports.default = cleanCommand;
