"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const discovery_1 = require("../../discovery");
const handler_1 = require("../handler");
const config_1 = require("../../config");
const core_1 = require("../../config/core");
const pre = () => async () => {
    const config = (0, config_1.get)();
    (0, config_1.set)({
        options: {
            ...config.options,
            [constants_1.OPTION_OUTPUT.longName]: (0, discovery_1.getPathToDiscoveryDocument)(),
        },
        doNotStoreResult: true,
    });
};
const post = () => async () => {
    const config = (0, config_1.get)();
    await (0, discovery_1.addMetadata)({
        tenant: config.publicfqdn,
        addedAt: new Date().getTime(),
    });
    (0, discovery_1.clear)();
    const { options } = config;
    delete options[constants_1.OPTION_OUTPUT.longName];
    (0, config_1.set)({ options });
};
const initCommand = {
    type: "command",
    command: "init",
    description: "initialize the local CLI cache",
    options: [],
    handler: (0, handler_1.createNextHandler)((0, handler_1.createParseArgumentsHandler)(), (0, handler_1.createMandatoryOptionsHandler)(), (0, handler_1.createAuthenticationHandler)(), pre, (0, handler_1.createFetchHandler)("GET", (0, core_1.getDiscoveryPath)()), post),
};
exports.default = initCommand;
