"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const constants_1 = require("../../../../../constants");
const logger_1 = require("../../../../../logger");
const utils_1 = require("../utils");
const cache_1 = require("../../../../../cache");
const create = () => () => async () => {
    const { error, info } = (0, logger_1.get)("commands.handler.authentication.oauth.secretsProvider.cache");
    info("reading secrets from cache");
    try {
        (0, utils_1.setSecrets)(JSON.parse(await (0, cache_1.readFile)(constants_1.CACHE_SECRETS_FILE)));
    }
    catch (err) {
        error("failed to read secrets from cache", err);
        throw err;
    }
};
exports.create = create;
