import { URL } from "url";
import { AxiosResponseHeaders, RawAxiosResponseHeaders } from "axios";
import { HTTPConfig, HTTPMethod, KeyValuePair, ParameterMappings } from "../../../types";
export declare const checkConfiguration: (config: KeyValuePair) => void;
export declare const removeLeadingPathSegmentForPasscode: (path: string) => string;
export declare const buildParameters: (path: string, parameterMappings?: ParameterMappings) => {
    url: URL;
    headers: KeyValuePair;
    body: any;
};
export declare const handleResponseData: (data: any) => Promise<void>;
export declare const handleResponse: (data: any, headers?: RawAxiosResponseHeaders | AxiosResponseHeaders) => Promise<void>;
export declare const configRequiresBody: (method: HTTPMethod) => boolean;
export declare const buildHttpConfig: (method: HTTPMethod, path: string, parameterMappings?: ParameterMappings) => HTTPConfig;
