"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const config_1 = require("../../../config");
const logger_1 = require("../../../logger");
const constants_1 = require("../../../constants");
const checkOptionsExistence_1 = require("../checkOptionsExistence");
const next_1 = require("../next");
const options_1 = require("../options");
const readBodyFromFile = () => async () => {
    const config = (0, config_1.get)();
    const filePath = config.options[constants_1.OPTION_FILE_PATH.longName];
    const { debug, trace } = (0, logger_1.get)("commands.handler.input.file");
    debug("reading request body from %s", filePath);
    try {
        (0, config_1.set)({
            data: JSON.parse(await fs_extra_1.default.readFile(filePath, "utf-8")),
        });
    }
    catch (err) {
        if (config.verbose) {
            // eslint-disable-next-line
            console.log(`Failed to read content from file ${filePath}. Does the file really exist and does it contain valid JSON?`);
        }
        trace(`Failed to read content from file ${filePath}`, err);
        throw err;
    }
};
const create = () => (0, next_1.create)((0, checkOptionsExistence_1.create)(constants_1.OPTION_INPUT), (0, options_1.create)(constants_1.OPTION_FILE_PATH, { readEnv: true, readFile: true, readOptions: true, readPipe: true }, true, true), readBodyFromFile);
exports.create = create;
