"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const fs_extra_1 = require("fs-extra");
const logger_1 = require("../../../logger");
const utils_1 = require("./utils");
const getLogger = () => (0, logger_1.get)("commands.handler.options.pipe");
let data;
const getDataFromPipe = () => {
    if (data === undefined) {
        try {
            data = JSON.parse((0, fs_extra_1.readFileSync)(0, "utf-8"));
        }
        catch (err) {
            const { error } = getLogger();
            error("failed to read from pipe", err);
            data = null;
            return getDataFromPipe();
        }
    }
    else if (data === null) {
        throw new Error("no data received from pipe");
    }
    return data;
};
/* jscpd:ignore-start */
const create = (option) => () => async () => {
    const { debug } = getLogger();
    /* jscpd:ignore-end */
    debug(`reading option ${option.longName} from pipe`);
    const options = getDataFromPipe();
    (0, utils_1.setOption)(option, options[option.longName]);
};
exports.create = create;
