"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cache_1 = require("../cache");
const constants_1 = require("../constants");
const logger_1 = require("../logger");
const handler = () => async () => {
    try {
        await (0, cache_1.deleteFile)(constants_1.CACHE_SECRETS_FILE);
    }
    catch (err) {
        const { error } = (0, logger_1.get)("commands.logout");
        error("failed to delete secrets file from cache", err);
    }
};
const logoutCommand = {
    type: "command",
    command: "logout",
    description: "log out from your account",
    handler,
};
exports.default = logoutCommand;
