"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("../../logger");
const handler_1 = require("../handler");
const cache_1 = require("../handler/authentication/oauth/secretsProvider/cache");
const utils_1 = require("../handler/authentication/oauth/utils");
const showSecrets = () => async () => {
    const { output, error } = (0, logger_1.get)("commands.secrets-show");
    try {
        const secrets = (0, utils_1.getSecrets)();
        output(JSON.stringify(secrets, null, 2));
    }
    catch (err) {
        error("failed to read secrets", err);
        output("No secrets exist");
        throw new Error("failed to read secrets");
    }
};
const showCommand = {
    type: "command",
    command: "show",
    description: "display locally stored secrets for interactive OAuth authentication",
    handler: (0, handler_1.createNextHandler)((0, handler_1.createParseArgumentsHandler)(), (0, handler_1.createResilientHandler)((0, cache_1.create)()), showSecrets),
};
exports.default = showCommand;
