import { LogLevel } from "../types";
type Method = (...args: Array<any>) => void;
export type Logger = {
    output: Method;
    error: Method;
    warn: Method;
    info: Method;
    log: Method;
    debug: Method;
    trace: Method;
};
type CustomLogger = {
    output?: Method;
    error?: Method;
    warn?: Method;
    info?: Method;
    log?: Method;
    debug?: Method;
    trace?: Method;
};
export type Configuration = {
    logLevel?: LogLevel;
    loggers?: RegExp | "RESET";
    customLogger?: CustomLogger | "RESET";
};
export declare const configure: ({ logLevel: newLogLevel, loggers: newLoggers, customLogger: newCustomLogger, }: Configuration) => void;
export declare const get: (namespace: string) => Logger;
export {};
